Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class ClassDescriptor

    java.lang.Object
      |
      +--com.bea.wlpi.common.ClassDescriptor

public class ClassDescriptor
extends java.lang.Object
implements java.io.Serializable

Describes a server-side Java class. It is used to pass information on server-side classes to the client (where the class in question may not be accessible).

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ClassInvocationDescriptor`, `EJBDescriptor`, `EJBInvocationDescriptor`, Serialized Form

Constructor Summary
`ClassDescriptor(java.lang.Class javaClass)` Create a new class descriptor object.

Method Summary
`java.lang.String` | `getClassName()` Returns the name of the class being described.
`MethodDescriptor[]` | `getConstructorDescriptors()` Return information about the class's constructors.
`MethodDescriptor[]` | `getMethodDescriptors()` Return information about the class's methods.
`int` | `getModifiers()` Returns an int representing the modifiers for this class.
`boolean` | `isSerializable()` Returns a boolean indicating if this class can be serialized.
`java.lang.String` | `toString()` Return a string representation of the descriptor object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassDescriptor

    public ClassDescriptor(java.lang.Class javaClass)
                    throws WorkflowException

  Create a new class descriptor object.

  Parameters:
    `javaClass` - The Java class for which meta-data is required.

Method Detail

### getMethodDescriptors

    public final MethodDescriptor[] getMethodDescriptors()

  Return information about the class's methods.

  Returns:
    An array of method descriptor objects describing the class's methods.

### getConstructorDescriptors

    public final MethodDescriptor[] getConstructorDescriptors()

  Return information about the class's constructors.

  Returns:
    An array of method descriptor objects describing the class's constructors.

### getModifiers

    public final int getModifiers()

  Returns an int representing the modifiers for this class.

### isSerializable

    public final boolean isSerializable()

  Returns a boolean indicating if this class can be serialized.

### getClassName

    public final java.lang.String getClassName()

  Returns the name of the class being described.

### toString

    public java.lang.String toString()

  Return a string representation of the descriptor object.

  Returns:
    A string representation of the object, listing all constructor and method names.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)